function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t.return && (u = t.return(), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
import { message } from 'antd';
import dayjs from 'dayjs';
import { useState } from 'react';
import { VmWrapper } from "../../../_components";
import WGGSContent from "./Content";
import "./index.less";
import { jsx as _jsx } from "react/jsx-runtime";
var WGGS = function WGGS(_ref) {
  var _ref$classPrefix = _ref.classPrefix,
    classPrefix = _ref$classPrefix === void 0 ? '' : _ref$classPrefix,
    id = _ref.id;
  var prefix = "".concat(classPrefix, "-wggs");
  var _useState = useState('all'),
    _useState2 = _slicedToArray(_useState, 2),
    tab = _useState2[0],
    setTab = _useState2[1];
  var _useState3 = useState([dayjs().subtract(1, 'days'), dayjs()]),
    _useState4 = _slicedToArray(_useState3, 2),
    times = _useState4[0],
    setTimes = _useState4[1];
  var disabledDate = function disabledDate(current) {
    var _times = _slicedToArray(times, 2),
      startDate = _times[0],
      endDate = _times[1];
    if (!startDate || !endDate) {
      return false;
    }
    var tooLate = startDate && current.diff(startDate, 'days') > 7;
    var tooEarly = endDate && endDate.diff(current, 'days') > 7;
    return !!tooEarly || !!tooLate;
  };
  return /*#__PURE__*/_jsx(VmWrapper, {
    activeKey: tab,
    filterType: "rangePicker",
    dateValue: times,
    disabledDate: disabledDate,
    headerStyle: {
      height: 48
    },
    filterChange: function filterChange(date) {
      if (date[1].diff(date[0], 'd') > 7) {
        message.warning('时间跨度不能超过7天');
        return;
      }
      setTimes(date);
    },
    children: /*#__PURE__*/_jsx(WGGSContent, {
      classPrefix: prefix,
      id: id,
      startTime: times[0].format('YYYY-MM-DD 00:00:00'),
      endTime: times[1].format('YYYY-MM-DD 23:59:59')
    })
  });
};
export default WGGS;